Title: Thinkapd x301 Restoration: Hardware Mods
Author: Alessandro Mauri

# Thinkapd x301 Restoration Project: Hardware Modifications

As I have to tear at least one Thinkpd down I thought that doing some hardware
modifications would be a good idea. Some things I would like to do are:

1. A display mod, the stock x301 display is decent but for 2008 stadards.
   As far as I know there are no good options for a display mod, as the x300
   and x301 screens were made specifically for these laptops, but maybe a
   good AFFS screen can be found and substituted.
2. USB-C charging, cheap USB-C PD power delivery [boards][usbc] can be used
   instead of the default charging connector, they signal compatible power
   supplies to deliver 20V thus charging the laptop. This is very cool because
   it allows old ThinkPads to be charged via modern chargers, which are among
   other things, much more efficien and light.
3. Cleaning the fan bearing. The old bearing is, well, old and it makes an
   awful sound. This is not only very unpleasant but also lowers cooling and
   power efficiency
4. Full repaste, very basic, much needed.
5. Changing the default wifi card to a "freedom respecting" [Atheros AR9382][wf]
   card, from 2010 it has a maximum speed of 300Mb in download and god-knows in
   upload. Certified under false brands as [RYF][ryf] hardware by the fsf is
   is very well supported by open-source drivers.
6. Use a microSata to MSata converter in order to use faster and more modern
   SSDs, this will increase the responsitivity of the machine by a lot.
7. Upgrade the bluetooth module from 2.0 to 4.0, this is not only for better
   speeds but also for better power saving.
8. New third party battery, this is also needed on most old laptops

## The Easy Stuff

This stuff is rather easy, calling replacing a card a "hardware mod" is a
stretch but better put it here than somewhere else.
In general a good resource for simple modifications and general informations 
about the ThinkPad x301 is the [Mc Donnell Tech webstite][donnell]

Let's begin with the battery, the ThinkPad x301 came with three battery
[options][batteries]:

- Battery 49, 3 cells, 27.3 Wh
- Battery 49+, 6 cells, 43.2 Wh
- Bay Battery 50, 3 cells, resides in the UltraBay Thin slot, 23.7 Wh

The best _new_ option is to get some third party battery with 6 cells more
or less equivalent to the 49+. As for the UltraBay battery, they don't make
them new, and buying a new old stock costs an eye and a liver. Also having a
DVD reader in 2021 is comfy.
Buying a new battery can cost you upwards of 50€ and I'm not really sure about
the difference between the third parties, I'll have to do some more research
on that.

Moving on to WiFi, the preinstalled one is an Intel 5XXX wifi link something
something. Not bad but not great, some other options are:

- [Atheros AR9382][wf], good driver support but _average_ speeds, also this
  chip is used in [freedom respecting][ryf] hardware
- [Intel Centrino Ultimate-N 6300][centrino] (FRU 60Y3233), better speeds and
  power efficiency, unsure about driver support and "freedom respect"
- [Intel Dual Band Wireless-AC 7260 Plus Bluetooth][ac7260] (FRU 04W3814), as
  the name implies it has bluetooth builtin and even greater speeds, again tho
  I'm not sure about drivers and freedom. Also a [hardware mod][ac7260mod] may
  be required for it to work.

**NOTE:** all these cards can be installed only after flashing a new BIOS with
the device whitelist removed, a good resource on that is once-again
[Mc Donnell's website][donnell].

Onto Bluetooth, there are a couple of [FRUs][fru] (cards) that will work out of
the box (and for all I know at all), there are:

- The preinstalled BT 2.0 boards
- [FRU 60Y3303][bt1] bluetooth 4.0 from Foxconn
- [FRU 60Y3305][bt2] bluetooth 4.0 from Liteon

One of the 4.0 cards will serve me nicely, as far as I know there is no real
difference between the two so no stress in picking one or the other.

Finally the [micro SATA][usata] to [mSATA][msata] converter board. The x301
originally used a micro SATA SSD or HDD, these come in a non-common 1.8"
format which to my knownledge manufacturers no longer use. So the idea is to
use a [commercially available][umconverter] converter board along with a 
[3D printable caddy][caddyfile] (source [here][caddy]) in order to use
common mSATA SSDs.

## Display Panel Replacement

Easily the hardest mod of all, since no direct swaps are possible the only way
to proceed is heavily modifying either the case and/or the eDP cable (which
let me tell you is not fun). But after all that trouble you can end up with a
really nice AFFS display as shown here:

![A really nice AFFS display mod](img/affs.jpg)

This image was taken [from this forum post][affsforum]
   
[usbc]: https://www.electronics-lab.com/usb-c-pd-module-provides-9v-12v-15v-20v-sells-1e/
[wf]: https://static6.arrow.com/aropdfconversion/3819c6435740abdd592c1d40adffdfba809ffe79/ar9382.pdf
[ryf]: https://ryf.fsf.org/
[affsforum]: http://thinkpads.kr/xe/?mid=gallery&document_srl=80883
[batteries]: https://support.lenovo.com/us/en/solutions/pd013390
[centrino]: https://ark.intel.com/content/www/it/it/ark/products/59474/intel-centrino-ultimate-n-6300-dual-band.html
[ac7260]: https://ark.intel.com/content/www/it/it/ark/products/75439/intel-dual-band-wireless-ac-7260.html
[ac7260mod]: https://www.reddit.com/r/thinkpad/comments/49wjv1/x220t_and_intel_wirelessac_7260_installation_woes/
[donnell]: http://x301.mcdonnelltech.com/
[fru]: https://support.lenovo.com/it/it/solutions/ht118572-what-is-a-field-replacement-unit-fru-service-part
[bt1]: https://www.amazon.it/Adattatore-Bluetooth-Thinkpad-60Y3303-60Y3305/dp/B07XQ8MHCC
[bt2]: https://www.amazon.it/Adattatore-Bluetooth-Thinkpad-60Y3303-60Y3305/dp/B07XQ8MHCC
[usata]: https://en.wikipedia.org/wiki/Serial_ATA#Micro_connector
[msata]: https://en.wikipedia.org/wiki/Serial_ATA#Mini-SATA_(mSATA)
[umconverter]: https://www.amazon.it/Sconosciuto-msata-Express-Converter-Adapter/dp/B01AP5RSZY
[caddy]: https://www.reddit.com/r/thinkpad/comments/e0rbfq/thinkpad_x301_msata_adapter_caddy/
[caddyfile]: https://www.thingiverse.com/thing:3996754