Title: Thinkapd x301 Restoration: Paintjob
Author: Alessandro Mauri


# ThinkPad x301 Restoration Project: Paintjob

There are basically two options worth noting:

1. Automotive spray paints
2. Automotive vinyl wraps

## Why Automotive products

Automotive products have to endure use, flex weather and extreme temperature 
conditions (think about parts close to the engine or winter cold), so they will
endure much better the everyday life of a laptop. Also the risk of separation
or flaking is lower and resistance to moisture is much better than with standard
paints or vinyls that are not designed to endure such conditions.

## Using paints

Using paint is the "basic" method of restoring any surface, basically it boils
down to prep work and finding the right paints (color, texture, material
compatibility etc.) but this process is very time consuming and very easy to
mess up for beginners such as myself.

The pros of the paint are:

- Could lead to better results, closer to the original
- Could be more durable
- More options of color
- More brand and quality options

The cons of paint are:

- Longer preparation
- Harder to work with
- Different materials need different paints and/or base coats (metal for the
  lid and plasic for everything else)
- Harder to apply right
- Harder to fix mistakes
- Higher price

One "paint" that [some people][pdip] use on old ThinkPads is PlastiDip, It is
a rubber coating paint that goes on without preparation and can be peeled off.
It has the best of both worldsm, the ability to apply multiple coats while 
requiring no prep and being easily removable.
Also, as seen in the video, the wear does not peel it like vinyl wrap, instead
it "scrapes" off like paint which looks much better. Lastly I think that the
texture and feeling is much closer to the original as with the vinyl.

Unfortunately PlastiDip is not sold in my country (Italy) but there are some
alternatives, or even resellers that import the original from America. Either
way I have to research more alternatives and choose the best one, maybe even try
some.

## Using vinyl wraps

Vinyl wrap films are thin, sticky, texturized sheets of plastic which one can
apply onto a surface, kinda like a very big sticker, in order to change it's
color. This is not news for cars and for [laptops][dbrand], vinyl "skins" are
a convenient way to change the color of a surface, they are removable, easy to
apply and can form to most surfaces.

Pros of vinyl wraps are:

- Much easyer prep work and installation
- Good durability
- "All in one" solution to the problem
- Very cost-effective

Cons of Vinyl wraps are:

- Easier (by design) to peel and remove
- Unsure about age and durability
- Cannot double coat
- Thicker than paint
- More limited color palette
- Very few "good" brands/options

Two big cons of vinyl wraps are:

1. Texture, since I would be using automotive wraps they are going to be as
   smooth as possible (I imagine); this is not good for a laptop since it will
   attract more fingerprints and in general make the whole thing feel worse
   to the touch, there is a reason why originally Lenovo went with a rubber
   finiss.
2. Damage is worse on vinyl; with paint if you scratch it at worst you reveal
   the material under it, in most cases you uncover the coat underneath. With
   vinyl wraps, since it is basically a big sticker, bumps and scratches
   risk peeling part of the wrap out, making it obvious it is not a real paint
   job.

Another consideration is thickness, my plan for vinyl is to apply it on the
completely disassembled laptop, in order to wrap a bit on the parts that are
"internal" to the assembly, basically squeezing it to prevent it coming off.
With a sheet that is close to a millimeter thick there is just not enough
tollerance to comfortably fit it in between seems.

Lastly, one thing peculiar about the x301 are the port icons on the up side,
they wear out easily but I really want to recreate them if possible. This would
require painting on the vinyl, which I don't think can be done properly.

Vinyl wrap options:

1. 3M brand, sets the standard for all things adhesive, widely used in the
   automotive space and in good quality [laptop skins][dbrand]
  1. [1080 series films][3m1080], cheaper and good enough for laptops
  2. [2080 series films][3m2080], pricier but newer and more resistant

## Colors

One part of a thinkpad is it's color, black is the most obvious way to go, but
what shade?
There are many many shades of black and many more finishes. Do you want matte
or glossy, dark or light, texture or no texture, metrallic shine or not; you
get the idea.
While making an all white thinkpad is an interesting project I think the best
way to go is to stick with the default black, at least for the interiors, the
lid may see some touches later on.

Here are some shades that I really liked:

### [Dead matte black][deadmatte]

![Dead Matte Black skin on car](img/deadmatte.jpg)

## Removing The Paint Altogether

Another option, that would look good and also be cheaper is to remove all the
paint and replace it with, well, nothing.
There are many examples of people doing just this [1][np1] and altough some say
that exposing the bare metal and plastic to the environment will deteriorate it
but maybe covering it with a protective layer will help.

[dbrand]: https://dbrand.com/
[3m1080]: https://www.3mitalia.it/3M/it_IT/commercio-e-servizi-it/new-car-wrapping-colours-1080/
[3m2080]: https://www.3mitalia.it/3M/it_IT/p/d/b5005081006/
[deadmatte]: https://www.sirvisual.it/3m-wrap-film-serie-2080/3m-wrap-film-2080dm12-dead-matte-black!0-9223
[pdip]: https://www.youtube.com/watch?v=YQ1HCSXNHX8
[np1]: https://forum.thinkpads.com/viewtopic.php?f=28&t=121754