Title: Thinkapd x301 Restoration: Software
Author: Alessandro Mauri


# ThinkPad x301 Restoration Project: Software Side

Of course me being me I can't just modify the hardware, I also have to do
something about the software side of things. Afterall if I just slapped 
Windows 10 on it, it would just be an old slow laptop. But I want more, I want
lightning fast boot times, I want a good experience and most of all I want
freedom where I can get it.

## [Libreboot][lboot]

Yes! After some 5 years of dormiency the Libreboot project came out with a
[new beta release][newboot] that [adds support for the x301][xboot].

Basically Libreboot is a BIOS replacement, it completely replaces all of the
old BIOS stuff with a _libre_ alternative, which has many advantages:

1. MUCH faster boot times
2. Completely respects your freedom
3. COmpletely disables the intel ME and replaces all proprietary firmware with
   libre software
4. While being simpler (no menu, no live configuration, etc.) it actually 
   allows for much greater flexibility in th boot process

Libreboot works by setting up a minimal environment, enough to load 
[GRUB][grub], then GRUB proceeds to load the OS or other things.
Libreboot has also other _payload_ options like [SeaBIOS][sbios] or 
[Tianocore][tcore] (an open-source UEFI implementation), they allow to load 
other operating systems normally (not via GRUB) but generally this is slower.

The method I will use is an hybrid, Libreboot will load GRUB, which when a key
is pressed like shift, during the boot process, will load a menu of options
containing all the operating systems, some diagnostic, Tianocore and SeaBIOS
(everything needs to boot). Otherwise when no key is pressed it should boot
straight into the first available OS.
Disclaimer: I have not seen this elsewhere and altough I think it should be
possible, I don't really know. 

[lboot]: https://libreboot.org/
[newboot]: https://libreboot.org/docs/release/libreboot20210522.html
[xboot]: https://libreboot.org/docs/release/libreboot20210522.html#lenovo-thinkpad-x301
[grub]: https://www.gnu.org/software/grub/
[sbios]: https://www.seabios.org/SeaBIOS
[tcore]: https://www.tianocore.org/